Bug 1932453 - Update Japanese timestamp format
Summary: Update Japanese timestamp format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-24 16:09 UTC by ralpert
Modified: 2021-07-27 22:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Timestamps were not correctly formatted for Chinese and Japanese. Consequence: Timestamps were harder to read in these languages, providing a bad user experience. Fix: Updated timestamps to use the default timestamp formats for Chinese and Japanese in Moment.js. English timestamps remain the same. Result: The bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:48:13 UTC
Target Upstream Version:


Attachments (Terms of Use)
The screen shot showing timestamp (160.24 KB, image/png)
2021-03-09 15:48 UTC, Siva Reddy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8242 0 None open Bug 1932453: Update format for Japanese date/times 2021-02-24 16:56:30 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:48:34 UTC

Description ralpert 2021-02-24 16:09:01 UTC
Description of problem:
Andy Pickering suggesting changing Japanese dates from 2月 18, 11:48 午前 to 2月18日 午前11:48 format.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1. Go to overview page and find a timestamp.

Actual results:
Date has 午前 after the time.

Expected results:
Date has 午前 before the time.

Comment 1 ralpert 2021-02-24 16:13:05 UTC
@apickering

Comment 2 ralpert 2021-02-24 19:28:03 UTC
Documenting this to hopefully make life easier for QE: It seemed to make more sense to switch to using Moment defaults for all timestamps. The Moment default format for Japanese is 2021年2月24日 13:31, so the timestamps in the PR will be along those lines unless major changes are introduced in code review. My problem description had mistakes and wasn't clear.

Comment 3 ralpert 2021-02-25 14:26:46 UTC
I'm removing the blocker flag since this doesn't prevent the console from being usable; it just creates a bad user experience. Fixing this asap!

Comment 4 ralpert 2021-02-25 18:38:00 UTC
Meant to click reviewed in sprint; not blocker! Sorry. Updating.

Comment 6 Siva Reddy 2021-03-09 15:47:05 UTC
Version: 
 4.8.0-0.nightly-2021-03-08-184701

   Now the format is using Moment defaults for all timestamps. attached the screenshot.

Comment 7 Siva Reddy 2021-03-09 15:48:29 UTC
Created attachment 1762018 [details]
The screen shot showing timestamp

Comment 10 errata-xmlrpc 2021-07-27 22:48:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.